> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zec/vpc-network/deletevpc.md).

# DeleteVpc

## 1. API Description

This API (DeleteVpc) is used to delete a VPC.

{% hint style="info" %}
**Notes**

* A VPC cannot be deleted if subnets, border gateways, VPC cross-region bandwidths, NAT gateways, load balancer instances, or other resources exist under it.
* The default VPC cannot be deleted.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                                                                        |
| -------------- | -------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| vpcId          | Yes      | String | <p>ID of the VPC to be deleted.</p><p>It can be obtained by calling <a href="/api-reference/zec/vpc-network/describevpcs.md">DescribeVpcs</a>.</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Delete a global VPC.**

<pre class="language-json"><code class="lang-json"><strong>POST /api/v2/zec HTTP/1.1
</strong>Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteVpc


Request:
{
  "vpcId": "vpcXXX"
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F"
  }
}
</code></pre>

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                      | Description                                                                |
| ---------------- | ----------------------------------------------- | -------------------------------------------------------------------------- |
| 409              | INVALID\_VPC\_BANDWIDTH\_ASSOCIATED             | The VPC has a cross-region bandwidth associated and cannot be operated on. |
| 409              | INVALID\_VPC\_LB\_ASSOCIATED                    | VPC is associated with a load balancer instance, deletion not allowed.     |
| 409              | INVALID\_VPC\_NAT\_ASSOCIATED                   | VPC is associated with a NAT gateway, operation not allowed.               |
| 404              | INVALID\_VPC\_NOT\_FOUND                        | The global VPC does not exist.                                             |
| 409              | INVALID\_VPC\_SUBNET\_ASSOCIATED                | Operations on global VPCs with subnets in it are not supported.            |
| 409              | INVALID\_VPC\_UNMANAGED\_EGRESS\_IP\_ASSOCIATED | The VPC has an unmanaged egress IP associated and cannot be operated on.   |
| 409              | INVALID\_VPC\_ZBG\_ASSOCIATED                   | VPC is associated with a border gateway, operation not allowed.            |
| 400              | OPERATION\_DENIED\_DEFAULT\_VPC                 | The default global VPC cannot be modified.                                 |
